fonteva-sfdx
============



[![Version](https://img.shields.io/npm/v/fonteva-sfdx.svg)](https://npmjs.org/package/fonteva-sfdx)
[![CircleCI](https://circleci.com/gh/parmarg/fonteva-sfdx/tree/master.svg?style=shield)](https://circleci.com/gh/parmarg/fonteva-sfdx/tree/master)
[![Appveyor CI](https://ci.appveyor.com/api/projects/status/github/parmarg/fonteva-sfdx?branch=master&svg=true)](https://ci.appveyor.com/project/heroku/fonteva-sfdx/branch/master)
[![Codecov](https://codecov.io/gh/parmarg/fonteva-sfdx/branch/master/graph/badge.svg)](https://codecov.io/gh/parmarg/fonteva-sfdx)
[![Greenkeeper](https://badges.greenkeeper.io/parmarg/fonteva-sfdx.svg)](https://greenkeeper.io/)
[![Known Vulnerabilities](https://snyk.io/test/github/parmarg/fonteva-sfdx/badge.svg)](https://snyk.io/test/github/parmarg/fonteva-sfdx)
[![Downloads/week](https://img.shields.io/npm/dw/fonteva-sfdx.svg)](https://npmjs.org/package/fonteva-sfdx)
[![License](https://img.shields.io/npm/l/fonteva-sfdx.svg)](https://github.com/parmarg/fonteva-sfdx/blob/master/package.json)

<!-- toc -->
* [Debugging your plugin](#debugging-your-plugin)
<!-- tocstop -->
<!-- install -->
<!-- usage -->
```sh-session
$ npm install -g fonteva-sfdx
$ sfdx COMMAND
running command...
$ sfdx (-v|--version|version)
fonteva-sfdx/0.3.23 darwin-x64 node-v13.8.0
$ sfdx --help [COMMAND]
USAGE
  $ sfdx COMMAND
...
```
<!-- usagestop -->
<!-- commands -->
* [`sfdx fonteva:build:devorg -p <string> -t <string> -s <string> [-h] [-d] [-c] [-v <string>] [--apiversion <string>] [--json] [--loglevel trace|debug|info|warn|error|fatal|TRACE|DEBUG|INFO|WARN|ERROR|FATAL]`](#sfdx-fontevabuilddevorg--p-string--t-string--s-string--h--d--c--v-string---apiversion-string---json---loglevel-tracedebuginfowarnerrorfataltracedebuginfowarnerrorfatal)
* [`sfdx fonteva:community:apply [-v <string>] [-u <string>] [--apiversion <string>] [--json] [--loglevel trace|debug|info|warn|error|fatal|TRACE|DEBUG|INFO|WARN|ERROR|FATAL]`](#sfdx-fontevacommunityapply--v-string--u-string---apiversion-string---json---loglevel-tracedebuginfowarnerrorfataltracedebuginfowarnerrorfatal)
* [`sfdx fonteva:deploy [-m <string>] [-p <string>] [-x <string>] [-q <string>] [-u <string>] [--apiversion <string>] [--json] [--loglevel trace|debug|info|warn|error|fatal|TRACE|DEBUG|INFO|WARN|ERROR|FATAL]`](#sfdx-fontevadeploy--m-string--p-string--x-string--q-string--u-string---apiversion-string---json---loglevel-tracedebuginfowarnerrorfataltracedebuginfowarnerrorfatal)
* [`sfdx fonteva:fls:run [-p <string>] [-u <string>] [--apiversion <string>] [--json] [--loglevel trace|debug|info|warn|error|fatal|TRACE|DEBUG|INFO|WARN|ERROR|FATAL]`](#sfdx-fontevaflsrun--p-string--u-string---apiversion-string---json---loglevel-tracedebuginfowarnerrorfataltracedebuginfowarnerrorfatal)
* [`sfdx fonteva:install:dependencies [-p <string>] [-d] [-P <string>] [-c] [--dryrun] [-v <string>] [-u <string>] [--apiversion <string>] [--json] [--loglevel trace|debug|info|warn|error|fatal|TRACE|DEBUG|INFO|WARN|ERROR|FATAL]`](#sfdx-fontevainstalldependencies--p-string--d--p-string--c---dryrun--v-string--u-string---apiversion-string---json---loglevel-tracedebuginfowarnerrorfataltracedebuginfowarnerrorfatal)
* [`sfdx fonteva:layouts:apply -p <string> [-v <string>] [-u <string>] [--apiversion <string>] [--json] [--loglevel trace|debug|info|warn|error|fatal|TRACE|DEBUG|INFO|WARN|ERROR|FATAL]`](#sfdx-fontevalayoutsapply--p-string--v-string--u-string---apiversion-string---json---loglevel-tracedebuginfowarnerrorfataltracedebuginfowarnerrorfatal)
* [`sfdx fonteva:ns:swap [--unpackaged] [-u <string>] [--apiversion <string>] [--json] [--loglevel trace|debug|info|warn|error|fatal|TRACE|DEBUG|INFO|WARN|ERROR|FATAL]`](#sfdx-fontevansswap---unpackaged--u-string---apiversion-string---json---loglevel-tracedebuginfowarnerrorfataltracedebuginfowarnerrorfatal)
* [`sfdx fonteva:ns:swapSfdx [--unpackaged] [-u <string>] [--apiversion <string>] [--json] [--loglevel trace|debug|info|warn|error|fatal|TRACE|DEBUG|INFO|WARN|ERROR|FATAL]`](#sfdx-fontevansswapsfdx---unpackaged--u-string---apiversion-string---json---loglevel-tracedebuginfowarnerrorfataltracedebuginfowarnerrorfatal)
* [`sfdx fonteva:push [-u <string>] [--apiversion <string>] [--json] [--loglevel trace|debug|info|warn|error|fatal|TRACE|DEBUG|INFO|WARN|ERROR|FATAL]`](#sfdx-fontevapush--u-string---apiversion-string---json---loglevel-tracedebuginfowarnerrorfataltracedebuginfowarnerrorfatal)
* [`sfdx fonteva:sfpm:copy [-n <string>] [-d] [-v] [--json] [--loglevel trace|debug|info|warn|error|fatal|TRACE|DEBUG|INFO|WARN|ERROR|FATAL]`](#sfdx-fontevasfpmcopy--n-string--d--v---json---loglevel-tracedebuginfowarnerrorfataltracedebuginfowarnerrorfatal)
* [`sfdx fonteva:sfpm:install [-s] [-n <string>] [-k] [-d] [-v] [--json] [--loglevel trace|debug|info|warn|error|fatal|TRACE|DEBUG|INFO|WARN|ERROR|FATAL]`](#sfdx-fontevasfpminstall--s--n-string--k--d--v---json---loglevel-tracedebuginfowarnerrorfataltracedebuginfowarnerrorfatal)
* [`sfdx fonteva:sharingSets:deploy [-u <string>] [--apiversion <string>] [--json] [--loglevel trace|debug|info|warn|error|fatal|TRACE|DEBUG|INFO|WARN|ERROR|FATAL]`](#sfdx-fontevasharingsetsdeploy--u-string---apiversion-string---json---loglevel-tracedebuginfowarnerrorfataltracedebuginfowarnerrorfatal)
* [`sfdx fonteva:swapAndDeploy [--unpackaged] [-u <string>] [--apiversion <string>] [--json] [--loglevel trace|debug|info|warn|error|fatal|TRACE|DEBUG|INFO|WARN|ERROR|FATAL]`](#sfdx-fontevaswapanddeploy---unpackaged--u-string---apiversion-string---json---loglevel-tracedebuginfowarnerrorfataltracedebuginfowarnerrorfatal)

## `sfdx fonteva:build:devorg -p <string> -t <string> -s <string> [-h] [-d] [-c] [-v <string>] [--apiversion <string>] [--json] [--loglevel trace|debug|info|warn|error|fatal|TRACE|DEBUG|INFO|WARN|ERROR|FATAL]`

Setup an org for development. Deploy dependent packages, FLS, and deploy code.

```
USAGE
  $ sfdx fonteva:build:devorg -p <string> -t <string> -s <string> [-h] [-d] [-c] [-v <string>] [--apiversion <string>] 
  [--json] [--loglevel trace|debug|info|warn|error|fatal|TRACE|DEBUG|INFO|WARN|ERROR|FATAL]

OPTIONS
  -c, --allcoredeps                                                                 All Core Deps
  -d, --isproduction                                                                If Is Production
  -h, --pushsource                                                                  Push Source

  -p, --packagename=packagename                                                     (required) Package to install deps
                                                                                    for

  -s, --scratchorgconfig=scratchorgconfig                                           (required) Scratch Org Config

  -t, --username=username                                                           (required) target user name

  -v, --targetdevhubusername=targetdevhubusername                                   username or alias for the dev hub
                                                                                    org; overrides default dev hub org

  --apiversion=apiversion                                                           override the api version used for
                                                                                    api requests made by this command

  --json                                                                            format output as json

  --loglevel=(trace|debug|info|warn|error|fatal|TRACE|DEBUG|INFO|WARN|ERROR|FATAL)  [default: warn] logging level for
                                                                                    this command invocation

EXAMPLE
  $ sfdx install:dependencies --targetusername myOrg@example.com --targetdevhubusername devhub@org.com
     Hello world! This is org: MyOrg and I will be around until Tue Mar 20 2018!
     My hub org id is: 00Dxx000000001234
```

_See code: [src/commands/fonteva/build/devorg.ts](https://github.com/Fonteva/sfdx-plugin/blob/v0.3.23/src/commands/fonteva/build/devorg.ts)_

## `sfdx fonteva:community:apply [-v <string>] [-u <string>] [--apiversion <string>] [--json] [--loglevel trace|debug|info|warn|error|fatal|TRACE|DEBUG|INFO|WARN|ERROR|FATAL]`

Configure the community in an LTE DevOrg

```
USAGE
  $ sfdx fonteva:community:apply [-v <string>] [-u <string>] [--apiversion <string>] [--json] [--loglevel 
  trace|debug|info|warn|error|fatal|TRACE|DEBUG|INFO|WARN|ERROR|FATAL]

OPTIONS
  -u, --targetusername=targetusername                                               username or alias for the target
                                                                                    org; overrides default target org

  -v, --targetdevhubusername=targetdevhubusername                                   username or alias for the dev hub
                                                                                    org; overrides default dev hub org

  --apiversion=apiversion                                                           override the api version used for
                                                                                    api requests made by this command

  --json                                                                            format output as json

  --loglevel=(trace|debug|info|warn|error|fatal|TRACE|DEBUG|INFO|WARN|ERROR|FATAL)  [default: warn] logging level for
                                                                                    this command invocation
```

_See code: [src/commands/fonteva/community/apply.ts](https://github.com/Fonteva/sfdx-plugin/blob/v0.3.23/src/commands/fonteva/community/apply.ts)_

## `sfdx fonteva:deploy [-m <string>] [-p <string>] [-x <string>] [-q <string>] [-u <string>] [--apiversion <string>] [--json] [--loglevel trace|debug|info|warn|error|fatal|TRACE|DEBUG|INFO|WARN|ERROR|FATAL]`

Meta-target for installs. Runs sfpm, then deploy

```
USAGE
  $ sfdx fonteva:deploy [-m <string>] [-p <string>] [-x <string>] [-q <string>] [-u <string>] [--apiversion <string>] 
  [--json] [--loglevel trace|debug|info|warn|error|fatal|TRACE|DEBUG|INFO|WARN|ERROR|FATAL]

OPTIONS
  -m, --metadata=metadata                                                           comma-separated list of metadata
                                                                                    component names

  -p, --sourcepath=sourcepath                                                       comma-separated list of paths to the
                                                                                    local source files to deploy

  -q, --validateddeployrequestid=validateddeployrequestid                           request ID of the validated
                                                                                    deployment to run a Quick Deploy

  -u, --targetusername=targetusername                                               username or alias for the target
                                                                                    org; overrides default target org

  -x, --manifest=manifest                                                           file path for manifest (package.xml)
                                                                                    of components to deploy

  --apiversion=apiversion                                                           override the api version used for
                                                                                    api requests made by this command

  --json                                                                            format output as json

  --loglevel=(trace|debug|info|warn|error|fatal|TRACE|DEBUG|INFO|WARN|ERROR|FATAL)  [default: warn] logging level for
                                                                                    this command invocation
```

_See code: [src/commands/fonteva/deploy.ts](https://github.com/Fonteva/sfdx-plugin/blob/v0.3.23/src/commands/fonteva/deploy.ts)_

## `sfdx fonteva:fls:run [-p <string>] [-u <string>] [--apiversion <string>] [--json] [--loglevel trace|debug|info|warn|error|fatal|TRACE|DEBUG|INFO|WARN|ERROR|FATAL]`

Run the FLS utility, granting access to Fonteva custom objects.

```
USAGE
  $ sfdx fonteva:fls:run [-p <string>] [-u <string>] [--apiversion <string>] [--json] [--loglevel 
  trace|debug|info|warn|error|fatal|TRACE|DEBUG|INFO|WARN|ERROR|FATAL]

OPTIONS
  -p, --profile=profile                                                             Profile

  -u, --targetusername=targetusername                                               username or alias for the target
                                                                                    org; overrides default target org

  --apiversion=apiversion                                                           override the api version used for
                                                                                    api requests made by this command

  --json                                                                            format output as json

  --loglevel=(trace|debug|info|warn|error|fatal|TRACE|DEBUG|INFO|WARN|ERROR|FATAL)  [default: warn] logging level for
                                                                                    this command invocation

EXAMPLE
  $ sfdx fonteva:fls:run --targetusername=myOrg@example.com
```

_See code: [src/commands/fonteva/fls/run.ts](https://github.com/Fonteva/sfdx-plugin/blob/v0.3.23/src/commands/fonteva/fls/run.ts)_

## `sfdx fonteva:install:dependencies [-p <string>] [-d] [-P <string>] [-c] [--dryrun] [-v <string>] [-u <string>] [--apiversion <string>] [--json] [--loglevel trace|debug|info|warn|error|fatal|TRACE|DEBUG|INFO|WARN|ERROR|FATAL]`

Install dependent packages.

```
USAGE
  $ sfdx fonteva:install:dependencies [-p <string>] [-d] [-P <string>] [-c] [--dryrun] [-v <string>] [-u <string>] 
  [--apiversion <string>] [--json] [--loglevel trace|debug|info|warn|error|fatal|TRACE|DEBUG|INFO|WARN|ERROR|FATAL]

ARGUMENTS
  PACKAGE  (Optional) The Fonteva package to install (e.g. 'Framework')

OPTIONS
  -P, --patch=patch                                                                 If Is Patch - provide the patch args
                                                                                    (e.g. --patch=2019.1)

  -c, --allcoredeps                                                                 All Core Deps

  -d, --isproduction                                                                If Is Production

  -p, --packagename=packagename                                                     Package to install deps for (e.g.
                                                                                    "OrderApi" will install PagesApi &
                                                                                    Framework)

  -u, --targetusername=targetusername                                               username or alias for the target
                                                                                    org; overrides default target org

  -v, --targetdevhubusername=targetdevhubusername                                   username or alias for the dev hub
                                                                                    org; overrides default dev hub org

  --apiversion=apiversion                                                           override the api version used for
                                                                                    api requests made by this command

  --dryrun                                                                          Dry Run - don't install anything

  --json                                                                            format output as json

  --loglevel=(trace|debug|info|warn|error|fatal|TRACE|DEBUG|INFO|WARN|ERROR|FATAL)  [default: warn] logging level for
                                                                                    this command invocation

EXAMPLE
  $ sfdx install:dependencies --targetusername myOrg@example.com --targetdevhubusername devhub@org.com
     Hello world! This is org: MyOrg and I will be around until Tue Mar 20 2018!
     My hub org id is: 00Dxx000000001234
```

_See code: [src/commands/fonteva/install/dependencies.ts](https://github.com/Fonteva/sfdx-plugin/blob/v0.3.23/src/commands/fonteva/install/dependencies.ts)_

## `sfdx fonteva:layouts:apply -p <string> [-v <string>] [-u <string>] [--apiversion <string>] [--json] [--loglevel trace|debug|info|warn|error|fatal|TRACE|DEBUG|INFO|WARN|ERROR|FATAL]`

Apply useful layouts for Fonteva custom objects.

```
USAGE
  $ sfdx fonteva:layouts:apply -p <string> [-v <string>] [-u <string>] [--apiversion <string>] [--json] [--loglevel 
  trace|debug|info|warn|error|fatal|TRACE|DEBUG|INFO|WARN|ERROR|FATAL]

OPTIONS
  -p, --packagename=packagename                                                     (required) Package to install
                                                                                    layouts for

  -u, --targetusername=targetusername                                               username or alias for the target
                                                                                    org; overrides default target org

  -v, --targetdevhubusername=targetdevhubusername                                   username or alias for the dev hub
                                                                                    org; overrides default dev hub org

  --apiversion=apiversion                                                           override the api version used for
                                                                                    api requests made by this command

  --json                                                                            format output as json

  --loglevel=(trace|debug|info|warn|error|fatal|TRACE|DEBUG|INFO|WARN|ERROR|FATAL)  [default: warn] logging level for
                                                                                    this command invocation

EXAMPLE
  $ sfdx install:dependencies --targetusername myOrg@example.com --targetdevhubusername devhub@org.com
     Hello world! This is org: MyOrg and I will be around until Tue Mar 20 2018!
     My hub org id is: 00Dxx000000001234
```

_See code: [src/commands/fonteva/layouts/apply.ts](https://github.com/Fonteva/sfdx-plugin/blob/v0.3.23/src/commands/fonteva/layouts/apply.ts)_

## `sfdx fonteva:ns:swap [--unpackaged] [-u <string>] [--apiversion <string>] [--json] [--loglevel trace|debug|info|warn|error|fatal|TRACE|DEBUG|INFO|WARN|ERROR|FATAL]`

Do a namespace swap for a source-format project

```
USAGE
  $ sfdx fonteva:ns:swap [--unpackaged] [-u <string>] [--apiversion <string>] [--json] [--loglevel 
  trace|debug|info|warn|error|fatal|TRACE|DEBUG|INFO|WARN|ERROR|FATAL]

ARGUMENTS
  NS  The namespace to swap to (takes precedence over the detected org namespace)

OPTIONS
  -u, --targetusername=targetusername                                               username or alias for the target
                                                                                    org; overrides default target org

  --apiversion=apiversion                                                           override the api version used for
                                                                                    api requests made by this command

  --json                                                                            format output as json

  --loglevel=(trace|debug|info|warn|error|fatal|TRACE|DEBUG|INFO|WARN|ERROR|FATAL)  [default: warn] logging level for
                                                                                    this command invocation

  --unpackaged                                                                      Deploy unpackaged code, not the main
                                                                                    codebase.

EXAMPLES
  $ sfdx fonteva:ns:swap qa1234 // swaps to namespace "qa1234"
  $ sfdx fonteva:ns:swap -u devorg123 // connects to the org specified, determines the namespace, then swaps
```

_See code: [src/commands/fonteva/ns/swap.ts](https://github.com/Fonteva/sfdx-plugin/blob/v0.3.23/src/commands/fonteva/ns/swap.ts)_

## `sfdx fonteva:ns:swapSfdx [--unpackaged] [-u <string>] [--apiversion <string>] [--json] [--loglevel trace|debug|info|warn|error|fatal|TRACE|DEBUG|INFO|WARN|ERROR|FATAL]`

Do a namespace swap for a source-format project

```
USAGE
  $ sfdx fonteva:ns:swapSfdx [--unpackaged] [-u <string>] [--apiversion <string>] [--json] [--loglevel 
  trace|debug|info|warn|error|fatal|TRACE|DEBUG|INFO|WARN|ERROR|FATAL]

ARGUMENTS
  NS  The namespace to swap to (takes precedence over the detected org namespace)

OPTIONS
  -u, --targetusername=targetusername                                               username or alias for the target
                                                                                    org; overrides default target org

  --apiversion=apiversion                                                           override the api version used for
                                                                                    api requests made by this command

  --json                                                                            format output as json

  --loglevel=(trace|debug|info|warn|error|fatal|TRACE|DEBUG|INFO|WARN|ERROR|FATAL)  [default: warn] logging level for
                                                                                    this command invocation

  --unpackaged                                                                      Deploy unpackaged code, not the main
                                                                                    codebase.

EXAMPLES
  $ sfdx fonteva:ns:swap qa1234 // swaps to namespace "qa1234"
  $ sfdx fonteva:ns:swap -u devorg123 // connects to the org specified, determines the namespace, then swaps
```

_See code: [src/commands/fonteva/ns/swapSfdx.ts](https://github.com/Fonteva/sfdx-plugin/blob/v0.3.23/src/commands/fonteva/ns/swapSfdx.ts)_

## `sfdx fonteva:push [-u <string>] [--apiversion <string>] [--json] [--loglevel trace|debug|info|warn|error|fatal|TRACE|DEBUG|INFO|WARN|ERROR|FATAL]`

Meta-target for pushing code. Runs sfpm, then deploy

```
USAGE
  $ sfdx fonteva:push [-u <string>] [--apiversion <string>] [--json] [--loglevel 
  trace|debug|info|warn|error|fatal|TRACE|DEBUG|INFO|WARN|ERROR|FATAL]

OPTIONS
  -u, --targetusername=targetusername                                               username or alias for the target
                                                                                    org; overrides default target org

  --apiversion=apiversion                                                           override the api version used for
                                                                                    api requests made by this command

  --json                                                                            format output as json

  --loglevel=(trace|debug|info|warn|error|fatal|TRACE|DEBUG|INFO|WARN|ERROR|FATAL)  [default: warn] logging level for
                                                                                    this command invocation
```

_See code: [src/commands/fonteva/push.ts](https://github.com/Fonteva/sfdx-plugin/blob/v0.3.23/src/commands/fonteva/push.ts)_

## `sfdx fonteva:sfpm:copy [-n <string>] [-d] [-v] [--json] [--loglevel trace|debug|info|warn|error|fatal|TRACE|DEBUG|INFO|WARN|ERROR|FATAL]`

Salesforce Package Manager

```
USAGE
  $ sfdx fonteva:sfpm:copy [-n <string>] [-d] [-v] [--json] [--loglevel 
  trace|debug|info|warn|error|fatal|TRACE|DEBUG|INFO|WARN|ERROR|FATAL]

OPTIONS
  -d, --debug                                                                       debug mode - don't clean up & print
                                                                                    console messages

  -n, --namespace=namespace                                                         passed on to webpack as
                                                                                    output.library. Use to namespace
                                                                                    javascript libraries.

  -v, --verbose                                                                     verbose mode - don't clean up &
                                                                                    print _extra_ console messages

  --json                                                                            format output as json

  --loglevel=(trace|debug|info|warn|error|fatal|TRACE|DEBUG|INFO|WARN|ERROR|FATAL)  [default: warn] logging level for
                                                                                    this command invocation
```

_See code: [src/commands/fonteva/sfpm/copy.ts](https://github.com/Fonteva/sfdx-plugin/blob/v0.3.23/src/commands/fonteva/sfpm/copy.ts)_

## `sfdx fonteva:sfpm:install [-s] [-n <string>] [-k] [-d] [-v] [--json] [--loglevel trace|debug|info|warn|error|fatal|TRACE|DEBUG|INFO|WARN|ERROR|FATAL]`

Salesforce Package Manager

```
USAGE
  $ sfdx fonteva:sfpm:install [-s] [-n <string>] [-k] [-d] [-v] [--json] [--loglevel 
  trace|debug|info|warn|error|fatal|TRACE|DEBUG|INFO|WARN|ERROR|FATAL]

OPTIONS
  -d, --debug                                                                       debug mode - don't clean up & print
                                                                                    console messages

  -k, --skip-npm                                                                    Skip the npm step. You probably
                                                                                    shouldn't set this

  -n, --namespace=namespace                                                         passed on to webpack as
                                                                                    output.library. Use to namespace
                                                                                    javascript libraries.

  -s, --save                                                                        pass-thru to npm

  -v, --verbose                                                                     verbose mode - don't clean up &
                                                                                    print _extra_ console messages

  --json                                                                            format output as json

  --loglevel=(trace|debug|info|warn|error|fatal|TRACE|DEBUG|INFO|WARN|ERROR|FATAL)  [default: warn] logging level for
                                                                                    this command invocation
```

_See code: [src/commands/fonteva/sfpm/install.ts](https://github.com/Fonteva/sfdx-plugin/blob/v0.3.23/src/commands/fonteva/sfpm/install.ts)_

## `sfdx fonteva:sharingSets:deploy [-u <string>] [--apiversion <string>] [--json] [--loglevel trace|debug|info|warn|error|fatal|TRACE|DEBUG|INFO|WARN|ERROR|FATAL]`

Deploys sharing sets to your org

```
USAGE
  $ sfdx fonteva:sharingSets:deploy [-u <string>] [--apiversion <string>] [--json] [--loglevel 
  trace|debug|info|warn|error|fatal|TRACE|DEBUG|INFO|WARN|ERROR|FATAL]

OPTIONS
  -u, --targetusername=targetusername                                               username or alias for the target
                                                                                    org; overrides default target org

  --apiversion=apiversion                                                           override the api version used for
                                                                                    api requests made by this command

  --json                                                                            format output as json

  --loglevel=(trace|debug|info|warn|error|fatal|TRACE|DEBUG|INFO|WARN|ERROR|FATAL)  [default: warn] logging level for
                                                                                    this command invocation
```

_See code: [src/commands/fonteva/sharingSets/deploy.ts](https://github.com/Fonteva/sfdx-plugin/blob/v0.3.23/src/commands/fonteva/sharingSets/deploy.ts)_

## `sfdx fonteva:swapAndDeploy [--unpackaged] [-u <string>] [--apiversion <string>] [--json] [--loglevel trace|debug|info|warn|error|fatal|TRACE|DEBUG|INFO|WARN|ERROR|FATAL]`

Do a namespace swap for a source-format project and deploy

```
USAGE
  $ sfdx fonteva:swapAndDeploy [--unpackaged] [-u <string>] [--apiversion <string>] [--json] [--loglevel 
  trace|debug|info|warn|error|fatal|TRACE|DEBUG|INFO|WARN|ERROR|FATAL]

OPTIONS
  -u, --targetusername=targetusername                                               username or alias for the target
                                                                                    org; overrides default target org

  --apiversion=apiversion                                                           override the api version used for
                                                                                    api requests made by this command

  --json                                                                            format output as json

  --loglevel=(trace|debug|info|warn|error|fatal|TRACE|DEBUG|INFO|WARN|ERROR|FATAL)  [default: warn] logging level for
                                                                                    this command invocation

  --unpackaged                                                                      Deploy unpackaged code, not the main
                                                                                    codebase.

EXAMPLE
  $ sfdx fonteva:swapAndDeploy -u devorg123 // connects to the org specified, determines the namespace, swaps namespace 
  into a temp folder, then deploys
```

_See code: [src/commands/fonteva/swapAndDeploy.ts](https://github.com/Fonteva/sfdx-plugin/blob/v0.3.23/src/commands/fonteva/swapAndDeploy.ts)_
<!-- commandsstop -->
<!-- debugging-your-plugin -->
# Debugging your plugin
We recommend using the Visual Studio Code (VS Code) IDE for your plugin development. Included in the `.vscode` directory of this plugin is a `launch.json` config file, which allows you to attach a debugger to the node process when running your commands.

To debug the `hello:org` command: 
1. Start the inspector
  
If you linked your plugin to the sfdx cli, call your command with the `dev-suspend` switch: 
```sh-session
$ sfdx hello:org -u myOrg@example.com --dev-suspend
```
  
Alternatively, to call your command using the `bin/run` script, set the `NODE_OPTIONS` environment variable to `--inspect-brk` when starting the debugger:
```sh-session
$ NODE_OPTIONS=--inspect-brk bin/run hello:org -u myOrg@example.com
```

2. Set some breakpoints in your command code
3. Click on the Debug icon in the Activity Bar on the side of VS Code to open up the Debug view.
4. In the upper left hand corner of VS Code, verify that the "Attach to Remote" launch configuration has been chosen.
5. Hit the green play button to the left of the "Attach to Remote" launch configuration window. The debugger should now be suspended on the first line of the program. 
6. Hit the green play button at the top middle of VS Code (this play button will be to the right of the play button that you clicked in step #5).
<br><img src=".images/vscodeScreenshot.png" width="480" height="278"><br>
Congrats, you are debugging!
