import { flags, SfdxCommand } from '@salesforce/command';
import { AnyJson } from '@salesforce/ts-types';
export default class DevOrg extends SfdxCommand {
    static description: string;
    static examples: string[];
    static args: any[];
    protected static flagsConfig: {
        packagename: flags.Discriminated<flags.Option<string>>;
        username: flags.Discriminated<flags.Option<string>>;
        scratchorgconfig: flags.Discriminated<flags.Option<string>>;
        pushsource: flags.Discriminated<flags.Boolean<boolean>>;
        isproduction: flags.Discriminated<flags.Boolean<boolean>>;
        allcoredeps: flags.Discriminated<flags.Boolean<boolean>>;
    };
    protected static requiresUsername: boolean;
    protected static supportsDevhubUsername: boolean;
    protected static requiresProject: boolean;
    private createOrg;
    private installDeps;
    private runFLS;
    private pushSource;
    private mapFullName;
    private applyLayouts;
    run(): Promise<AnyJson>;
}
