import { flags, SfdxCommand } from '@salesforce/command';
import { AnyJson } from '@salesforce/ts-types';
export default class Layouts extends SfdxCommand {
    static description: string;
    static examples: string[];
    static args: any[];
    protected static flagsConfig: {
        packagename: flags.Discriminated<flags.Option<string>>;
    };
    protected static requiresUsername: boolean;
    protected static supportsDevhubUsername: boolean;
    protected static requiresProject: boolean;
    private static deployLayouts;
    run(): Promise<AnyJson>;
}
