import { flags, SfdxCommand } from '@salesforce/command';
import { AnyJson } from '@salesforce/ts-types';
export default class Swap extends SfdxCommand {
    static description: string;
    static examples: string[];
    static args: {
        name: string;
        required: boolean;
        description: string;
    }[];
    protected static flagsConfig: {
        unpackaged: flags.Discriminated<flags.Boolean<boolean>>;
    };
    protected static supportsUsername: boolean;
    protected static requiresProject: boolean;
    run(): Promise<AnyJson>;
}
