import { flags, SfdxCommand } from "@salesforce/command";
import { AnyJson } from "@salesforce/ts-types";
export default class Copy extends SfdxCommand {
    static description: string;
    static examples: any[];
    static args: {
        name: string;
        required: boolean;
    }[];
    protected static flagsConfig: {
        namespace: flags.Discriminated<flags.Option<string>>;
        verbose: flags.Discriminated<flags.Boolean<boolean>>;
        debug: flags.Discriminated<flags.Boolean<boolean>>;
    };
    protected static requiresUsername: boolean;
    protected static supportsDevhubUsername: boolean;
    protected static requiresProject: boolean;
    run(): Promise<AnyJson>;
}
