import { flags, SfdxCommand } from '@salesforce/command';
import { AnyJson } from '@salesforce/ts-types';
export default class Deploy extends SfdxCommand {
    static description: string;
    static examples: any[];
    static args: any[];
    protected static flagsConfig: {
        metadata: flags.Discriminated<flags.Option<string>>;
        sourcepath: flags.Discriminated<flags.Option<string>>;
        manifest: flags.Discriminated<flags.Option<string>>;
        validateddeployrequestid: flags.Discriminated<flags.Option<string>>;
    };
    protected static requiresUsername: boolean;
    protected static supportsDevhubUsername: boolean;
    protected static requiresProject: boolean;
    private runCmd;
    run(): Promise<AnyJson>;
}
